Loading...
Searching...
No Matches
alphaindex.h File Reference

C++ API: Index Characters. More...

`#include "unicode/utypes.h"`
`#include "unicode/uobject.h"`
`#include "unicode/locid.h"`
`#include "unicode/unistr.h"`

Go to the source code of this file.

## Data Structures

class | icu::AlphabeticIndex
| AlphabeticIndex supports the creation of a UI index appropriate for a given language. More...
class | icu::AlphabeticIndex::Bucket
| An index "bucket" with a label string and type. More...
class | icu::AlphabeticIndex::ImmutableIndex
| Immutable, thread-safe version of AlphabeticIndex. More...

## Namespaces

namespace | icu
| File coll.h.

## Typedefs

typedef enum UAlphabeticIndexLabelType | UAlphabeticIndexLabelType
| Constants for Alphabetic Index Label Types.

## Enumerations

enum | UAlphabeticIndexLabelType { U_ALPHAINDEX_NORMAL = 0 , U_ALPHAINDEX_UNDERFLOW = 1 , U_ALPHAINDEX_INFLOW = 2 , U_ALPHAINDEX_OVERFLOW = 3 }
| Constants for Alphabetic Index Label Types. More...

## Detailed Description

C++ API: Index Characters.

Definition in file alphaindex.h.

## Typedef Documentation

## UAlphabeticIndexLabelType

typedef enum UAlphabeticIndexLabelType UAlphabeticIndexLabelType

Constants for Alphabetic Index Label Types.

The form of these enum constants anticipates having a plain C API for Alphabetic Indexes that will also use them.

Stable
  ICU 4.8

## Enumeration Type Documentation

## UAlphabeticIndexLabelType

enum UAlphabeticIndexLabelType

Constants for Alphabetic Index Label Types.

The form of these enum constants anticipates having a plain C API for Alphabetic Indexes that will also use them.

Stable
  ICU 4.8

Enumerator

U_ALPHAINDEX_NORMAL

Normal Label, typically the starting letter of the names in the bucket with this label.

Stable
  ICU 4.8

U_ALPHAINDEX_UNDERFLOW

Underflow Label.

The bucket with this label contains names in scripts that sort before any of the bucket labels in this index.

Stable
  ICU 4.8

U_ALPHAINDEX_INFLOW

Inflow Label.

The bucket with this label contains names in scripts that sort between two of the bucket labels in this index. Inflow labels are created when an index contains normal labels for multiple scripts, and skips other scripts that sort between some of the included scripts.

Stable
  ICU 4.8

U_ALPHAINDEX_OVERFLOW

Overflow Label.

The bucket with this label contains names in scripts that sort after all of the bucket labels in this index.

Stable
  ICU 4.8

Definition at line 38 of file alphaindex.h.